<template>
  <section id="SearchPage" class="search">
    <SearchParameters @updateFilters="updateFilters" :filters="filters" />
    <SearchResults :results="results" />
  </section>
</template>

<script>
import SearchParameters from "@/components/Search/SearchParameters.vue";
import SearchResults from "@/components/Search/SearchResults.vue";
export default {
  name: "Search",
  components: {
    SearchParameters,
    SearchResults
  },
  data() {
    return {
      filters: [],
      results: []
    };
  },
  methods: {
    updateFilters(updatedFilters) {
      this.filters = updatedFilters;
    }
  },
  mounted() {
    this.results = this.$store.getters.allData;
  }
};
</script>

<style lang="scss" scoped>
#SearchPage {
  color: #3f3f3f;
}
</style>